org.hibernate.validator.internal.metadata.aggregated.rule

## Class ReturnValueMayOnlyBeMarkedOnceAsCascadedPerHierarchyLine

- java.lang.Object
- - org.hibernate.validator.internal.metadata.aggregated.rule.MethodConfigurationRule
  - - org.hibernate.validator.internal.metadata.aggregated.rule.ReturnValueMayOnlyBeMarkedOnceAsCascadedPerHierarchyLine

-     public class ReturnValueMayOnlyBeMarkedOnceAsCascadedPerHierarchyLine
      extends MethodConfigurationRule

  Rule that ensures that the method return value is marked only once as cascaded per hierarchy line.
  Author:
    Gunnar Morling

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.validator.internal.metadata.aggregated.rule.MethodConfigurationRule

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReturnValueMayOnlyBeMarkedOnceAsCascadedPerHierarchyLine()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(ConstrainedExecutable method, ConstrainedExecutable otherMethod)` Applies this rule.

    - ### Methods inherited from class org.hibernate.validator.internal.metadata.aggregated.rule.MethodConfigurationRule

      `isDefinedOnParallelType, isDefinedOnSubType, isStrictSubType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReturnValueMayOnlyBeMarkedOnceAsCascadedPerHierarchyLine

          public ReturnValueMayOnlyBeMarkedOnceAsCascadedPerHierarchyLine()

  - ### Method Detail

    - #### apply

          public void apply(ConstrainedExecutable method,
                   ConstrainedExecutable otherMethod)

      Description copied from class: `MethodConfigurationRule`
      Applies this rule. Invoked for each pair of methods collected by a given executable meta data `ExecutableMetaData.Builder`.
      Specified by:
        `apply` in class `MethodConfigurationRule`
      Parameters:
        `method` - The first method to check.
        `otherMethod` - The other method to check.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved